Subject: bug#45693: [two word expansion works, but write-abbrev-file destroys it]

From: Uwe Brauer <[email-masked]>
Date: Tue, 12 Jan 2021 09:01:30 +0100

> Uwe Brauer <[email-masked]> writes:

> It should have been, and was in my testing

> Iʼve only tested my code, not proven it bug-free :-)

I think I found a bug. I restart my emacs with your patched abbrev file
and all my stuff, then I obtain the following error:

Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" ".abbrev_defs")
  load(".abbrev_defs" nil t)
  read-abbrev-file(".abbrev_defs" t)
  quietly-read-abbrev-file(".abbrev_defs")
  command-line()
  normal-top-level()

This is part of the list of my files in the home directory

  lrwxrwxrwx   1 oub  oub    43 ene 11 21:14 .abbrev_defs -> /home/oub/ALLES/HGs/init_files/.abbrev_defs
  -rw-r--r--   1 oub  oub     0 mar 12  2018 .abbrev_defs_xemacs
  lrwxrwxrwx   1 oub  oub    49 feb  6  2018 .abbrev-emacs_defs -> /home/oub/ALLES/HGs/init_files/.abbrev-emacs_defs
  -rw-rw-r--   1 oub  oub  1,4K ene 11 20:57 abbrev-patch
  -rw-rw-r--   1 oub  oub  1,4K nov 27 08:41 abstract2.patch
  -rw-------   1 oub  oub  1,4K nov 27 08:40 abstract.patch

So what works is 
(read-abbrev-file "~/.abbrev_defs")

But not

(read-abbrev-file ".abbrev_defs")

 what currently emacs is trying to do.

Uwe